Message: Re: Issue linking GEANT4 to ROOT - Hadrontherapy Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Issue linking GEANT4 to ROOT - Hadrontherapy 

Forum: Analysis
Re: None Issue linking GEANT4 to ROOT - Hadrontherapy (Francesco)
Re: None Re: Issue linking GEANT4 to ROOT - Hadrontherapy (Francesco)
Date: 12 Aug, 2015
From: Ivana Hrivnacova <Ivana Hrivnacova>

Hello,

The header <atomic> is available only with C++11 standard; Geant4 libraries are built by default with C++98 standard.

So to use together Geant4 and ROOT, you need to choose compatible versions. You can either use Root 5.34.xx version with Geant4 built with its defaults or install Geant4 with additional CMake option:

 -DGEANT4_BUILD_CXXSTD=c++11

C++11 standard requires the recent compiler versions, so you may need to check first your compiler, before choosing the second option.

Best regards,

 Add Message Add Message
to: "Re: Issue linking GEANT4 to ROOT - Hadrontherapy"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]